Subject: CCL: Re:Eigenvalues of hessian

From: "Dillen Jan <jlmd<<at>>sun.ac.za>" <JLMD<<at>>sun.ac.za>
Date: Thu, 29 May 2003 11:56:21 +0200

Dear Daniel,

I think that you should specify more clearly what
system you are calculating (e.g. isolated molecule,
crystal, use of restraints/constraints, etc.)

If you do a full energy minimisation on an isolated
molecule, then you MUST have 3N-6 (or 3N-5 for a
linear molecule) zero frequencies if the frequency
calculation is done from a Hessian matrix calculated 
with Cartesian derivatives, and the system was 
properly minimised.

If the energy surface is flat, you may have to
make the convergence criteria more stringent in order
to reach the minimum more closely.

Each negative (imaginary) frequency implies a maximum
along the corresponding eigenvector, each additional
zero an inflection point.

For crystals the number of non-zero frequencies depends
on how the calculation is done and/or what the space group
of the system is.

If space group symmetry is ignored, 3 (translational)
modes are zero. If space group symmetry is taken into
account, a centro-symmetrical space group will have
no zero frequencies, whereas for the others it depends
on whether the symmetry elements fix the origin along 
each of the 3 axes.

If you are using special features, e.g. rigid groups,
fixing some internal coordinates, etc., there is no 
general rule and the number of zero-frequencies must
be worked out based on the actual number of degrees
of freedom of the system.

If you are using a force field with additional "goodies"
like lone pairs, dummy atoms, or other particles
with undefined mass, the answer depends on how these
artefacts are projected out.

Groeten
Jan Dillen

> Does anybody of you know, why there are more than 3N-6 nonzero
> eigenvalues of the hessian? I am especially interested in the question,
> whether this error is due to the errors made by differentiation or
> whether they are due to an error within the method itself. I usually get
> only 3 zero eigenvalues. No matter if the hessian is calculated on a
> stationary point or not.